## pytest-rerunfailures 16.1

=== docs/requirements.txt ===
Sphinx
sphinx_rtd_theme

## pytest-rerunfailures 9.1.1

=== debian/changelog ===
pytest-rerunfailures (9.1.1-1) unstable; urgency=medium

  * New upstream release.
    - Increases pytest requirement to 5.0
    - Fixes FTBFS with pytest 6 (Closes: #977081)
  * Update copyright for new year and version
  * Bump Standards-Version, no changes needed

 -- Paul Wise <pabs@debian.org>  Mon, 04 Jan 2021 12:23:55 +0800

pytest-rerunfailures (8.0-2) unstable; urgency=medium

  * Add autopkgtest that runs the upstream tests

 -- Paul Wise <pabs@debian.org>  Wed, 28 Oct 2020 16:00:25 +0800

pytest-rerunfailures (8.0-1) unstable; urgency=low

  * Initial release (Closes: #970533)

 -- Paul Wise <pabs@debian.org>  Fri, 18 Sep 2020 14:32:49 +0800

=== debian/control ===
Source: pytest-rerunfailures
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Paul Wise <pabs@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-pytest (>= 5.0),
 python3-setuptools (>= 40),
Standards-Version: 4.5.1
Homepage: https://github.com/pytest-dev/pytest-rerunfailures
Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-rerunfailures
Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-rerunfailures.git
Rules-Requires-Root: no

Package: python3-pytest-rerunfailures
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: pytest plugin to re-run tests to eliminate flaky failures
 pytest-rerunfailures is a plugin for pytest that
 re-runs tests to eliminate intermittent failures.

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.?(dev|rc|a|b|c)/~$1/" \
https://github.com/pytest-dev/pytest-rerunfailures.git refs/tags/([a-z0-9.]+)

## pytest-rerunfailures 10.2

=== debian/changelog ===
pytest-rerunfailures (10.2-1) unstable; urgency=medium

  * New upstream release.

 -- Paul Wise <pabs@debian.org>  Sun, 19 Sep 2021 11:38:46 +0800

pytest-rerunfailures (10.1-1) unstable; urgency=medium

  * New upstream release.
  * Delete egg-info to prevent FTBFS when built twice in a row
  * Wrap and sort tests control and watch files
  * Declare compliance with Debian Policy 4.6.0, no changes needed

 -- Paul Wise <pabs@debian.org>  Tue, 24 Aug 2021 17:12:59 +0800

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
  debhelper-compat (= 13),
  dh-python,
  python3-all,
- python3-pytest (>= 5.0),
+ python3-pytest (>= 5.3),
  python3-setuptools (>= 40),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/pytest-dev/pytest-rerunfailures
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-rerunfailures
 Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-rerunfailures.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pytest-rerunfailures
export PYBUILD_DISABLE_python2 = 1

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_before_dh_auto_test:
	python3 setup.py test
	for dir in .pybuild/cpython3_*_pytest-rerunfailures/build/ ; do \
	  rm -rf "$$dir/pytest_rerunfailures.egg-info/" ; \
	  cp -a pytest_rerunfailures.egg-info/ "$$dir" ; \
	done

## pytest-rerunfailures 12.0

=== debian/changelog ===
pytest-rerunfailures (12.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ Paul Wise ]
  * New upstream release.
  * dh-sequence-python3, pybuild-plugin-pyproject, autopkgtest-pkg-pybuild

 -- Paul Wise <pabs@debian.org>  Sun, 23 Jul 2023 22:35:01 +0800

pytest-rerunfailures (10.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-setuptools.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 10 Dec 2022 15:08:25 +0000

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,17 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
- python3-pytest (>= 5.3),
- python3-setuptools (>= 40),
-Standards-Version: 4.6.0
+ python3-pytest (>= 6.2),
+ python3-setuptools,
+Standards-Version: 4.6.2
 Homepage: https://github.com/pytest-dev/pytest-rerunfailures
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-rerunfailures
 Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-rerunfailures.git
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pytest-rerunfailures
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pytest-rerunfailures
export PYBUILD_DISABLE_python2 = 1

%:
	dh $@ --buildsystem=pybuild

## pytest-rerunfailures 14.0

=== debian/changelog ===
pytest-rerunfailures (14.0-2) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * remove Python2 crumb
  * add python3-pytest-xdist build dep
  * load tests

  [ Jochen Sprickerhof ]
  * fix compatibility with pytest 8.2 (Closes: #1073443)
  * Fix tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 05 Nov 2024 16:54:28 +0100

## pytest-rerunfailures 15.0

=== debian/changelog ===
pytest-rerunfailures (15.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 05 Feb 2025 11:09:22 +0000

## pytest-rerunfailures 15.1

=== debian/changelog ===
pytest-rerunfailures (15.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 10 Aug 2025 13:52:25 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,10 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
- python3-pytest (>= 6.2),
+ python3-pytest <!nocheck>,
+ python3-pytest-xdist <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/pytest-dev/pytest-rerunfailures
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-rerunfailures
 Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-rerunfailures.git

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.?(dev|rc|a|b|c)/~$1/" \
https://github.com/pytest-dev/pytest-rerunfailures.git \
refs/tags/([a-z0-9.]+)

## pytest-rerunfailures 16.1

=== debian/changelog ===
pytest-rerunfailures (16.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Wed, 29 Oct 2025 19:58:54 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-pytest <!nocheck>,
  python3-pytest-xdist <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/pytest-dev/pytest-rerunfailures
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-rerunfailures
 Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-rerunfailures.git
